<resources xmlns:tools="http://schemas.android.com/tools">

    <!-- Base application theme. -->
<!--    <style name="AppTheme" parent="Theme.Material3.Light.NoActionBar">-->

<!--        &lt;!&ndash; Customize your theme here. &ndash;&gt;-->
<!--        <item name="colorPrimary">@color/colorPrimary</item>-->
<!--        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>-->
<!--        <item name="colorAccent">@color/colorAccent</item>-->

<!--        <item name="fontFamily">@font/google_sans_regular</item> &lt;!&ndash; target android sdk versions < 26 and > 14 if theme other than AppCompat &ndash;&gt;-->

<!--        &lt;!&ndash; Add these &ndash;&gt;-->
<!--        <item name="materialCalendarStyle">@style/Widget.MaterialComponents.MaterialCalendar</item>-->
<!--        <item name="materialCalendarFullscreenTheme">@style/ThemeOverlay.MaterialComponents.MaterialCalendar.Fullscreen</item>-->
<!--        <item name="materialCalendarTheme">@style/ThemeOverlay.MaterialComponents.MaterialCalendar</item>-->

<!--        <item name="bottomSheetDialogTheme">@style/CustomBottomSheetDialog</item>-->

<!--    </style>-->


    <style name="Light" parent="Theme.Material3.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowLightStatusBar" tools:targetApi="23">true</item>
        <item name="android:statusBarColor">@android:color/white</item>

        <item name="fontFamily">@font/google_sans_regular</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->

        <item name="materialCalendarStyle">@style/Widget.Material3.MaterialCalendar</item>
        <item name="materialCalendarFullscreenTheme">@style/Widget.Material3.MaterialCalendar.Fullscreen</item>
        <item name="materialCalendarTheme">@style/ThemeOverlay.MaterialComponents.MaterialCalendar</item>

        <item name="bottomSheetDialogTheme">@style/CustomBottomSheetDialog</item>
    </style>


    <style name="SplashTheme" parent="AppTheme.NoActionBar">
        <item name="android:windowBackground">@drawable/splash_background</item>
    </style>

    <style name="AppTheme.NoActionBar" parent="@style/Light">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="AppTheme.NewMaterial">
        <item name="android:fontFamily">@font/google_sans_regular</item>
    </style>
    <style name="AppTheme.NewMaterial.Text" parent = "AppTheme.NewMaterial">
        <item name="android:textStyle">normal</item>
    </style>
    <style name="AppTheme.NewMaterial.Text.ExtraSmall" parent = "AppTheme.NewMaterial.Text">
        <item name="android:textColor">@drawable/material_text_color</item>
        <item name="android:textSize">12sp</item>
    </style>
    <style name="AppTheme.NewMaterial.Text.Small" parent = "AppTheme.NewMaterial.Text">
        <item name="android:textColor">@drawable/material_text_color</item>
        <item name="android:textSize">14sp</item>
    </style>
    <style name="AppTheme.NewMaterial.Text.Medium" parent = "AppTheme.NewMaterial.Text">
        <item name="android:textColor">@drawable/material_text_color</item>
        <item name="android:textSize">16sp</item>
    </style>
    <style name="AppTheme.NewMaterial.Text.Large" parent = "AppTheme.NewMaterial.Text">
        <item name="android:textColor">@drawable/material_text_color</item>
        <item name="android:textSize">18sp</item>
    </style>
    <style name="AppTheme.NewMaterial.Text.Badge" parent = "AppTheme.NewMaterial">
        <item name="android:fontFamily">@font/google_sans_regular</item>
        <item name="android:textStyle">normal</item>
        <item name="android:background">@drawable/gray_detail_background_round4</item>
        <item name="android:paddingStart">8dp</item>
        <item name="android:paddingEnd">8dp</item>
        <item name="android:paddingTop">2dp</item>
        <item name="android:paddingBottom">2dp</item>
    </style>

    <style name="AppTheme.NewMaterial.Text.ToolbarTitle" parent="AppTheme.NewMaterial.Text">
        <item name="android:textSize">20sp</item>
        <!--<item name="android:textColor">#5F6368</item>-->
        <item name="android:textColor">@android:color/black</item>
    </style>

    <style name="AppTheme.NewMaterial.Text.ToolbarTitle.DarkActionBar" parent="AppTheme.NewMaterial.Text">
        <item name="android:textSize">20sp</item>
        <!--<item name="android:textColor">#5F6368</item>-->
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="AppTheme.NewMaterial.Text.ListDivider" parent="AppTheme.NewMaterial.Text">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">#5F6368</item>
        <!--<item name="android:letterSpacing">+0.03</item>-->
    </style>


    <style name="AppTheme.NewMaterial.Text.TextBoxDashboard" parent="AppTheme.NewMaterial.Text">
        <item name="android:textColor">@android:color/white</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="AppTheme.NewMaterial.Text.TextBoxLittleDashboard" parent="AppTheme.NewMaterial.Text">
        <item name="android:textColor">@android:color/white</item>
        <item name="android:textSize">14sp</item>
    </style>

    <style name="AppTheme.NewMaterial.Text.TextBoxGroupTitleDashboard" parent="AppTheme.NewMaterial.Text">
        <item name="android:textColor">@android:color/black</item>
        <item name="android:textSize">16sp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textAlignment">center</item>
        <item name="android:textStyle">bold</item>
    </style>


    <style name="AppTheme.NewMaterial.Dialog.FullscreenDialog" parent="Theme.Material3.Light.DialogWhenLarge">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>

        <item name="fontFamily">@font/google_sans_regular</item> <!-- target android sdk versions < 26 and > 14 if theme other than AppCompat -->

        <item name="android:statusBarColor">@android:color/white</item>
        <item name="windowNoTitle">true</item>
        <item name="android:windowAnimationStyle">@style/Animation.AppCompat.Dialog</item>
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowCloseOnTouchOutside">false</item>
    </style>


    <style name="AppTheme.NewMaterial.Dialog.DialogTitleText" parent="AppTheme.NewMaterial.Text">
        <item name="android:textColor">@android:color/black</item>
        <item name="android:textSize">21sp</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="AppTheme.NewMaterial.Dialog.DialogSubTitleText" parent="AppTheme.NewMaterial.Text">
        <item name="android:textColor">@android:color/black</item>
        <item name="android:textSize">18sp</item>
    </style>



    <style name="OrangeFloatingLabel" parent="@android:style/TextAppearance">
        <item name="colorAccent">@color/orange_600</item>
        <item name="android:textColor">@color/orange_600</item>
        <item name="android:textSize">12sp</item>
        <item name="colorControlNormal">@color/orange_600</item>
        <item name="colorControlActivated">@color/orange_600</item>
        <item name="colorControlHighlight">@color/orange_600</item>
    </style>
    <style name="ErrorFloatingLabel" parent="@android:style/TextAppearance">
        <item name="android:textColor">@color/red_500</item>
        <item name="android:textSize">12sp</item>
        <item name="colorControlNormal">@color/red_500</item>
        <item name="colorControlActivated">@color/red_500</item>
        <item name="colorControlHighlight">@color/red_500</item>
    </style>
    <style name="NormalFloatingLabel" parent="@android:style/TextAppearance">
        <item name="android:textColor">@color/colorPrimary</item>
        <item name="android:textSize">12sp</item>
        <item name="colorControlNormal">@color/colorPrimary</item>
        <item name="colorControlActivated">@color/colorPrimary</item>
        <item name="colorControlHighlight">@color/colorPrimary</item>
    </style>

    <!--<style name="AppTheme.AppCompat.Dark.NoActionBar" parent="Theme.AppCompat.Light.DarkActionBar">-->
        <!--<item name="colorPrimary">@color/colorPrimary</item>-->
        <!--<item name="colorPrimaryDark">@color/colorPrimaryDark</item>-->
        <!--<item name="colorAccent">@color/colorAccent</item>-->

        <!--<item name="windowActionBar">false</item>-->
        <!--<item name="windowNoTitle">true</item>-->
    <!--</style>-->

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Dark" />

    <style name="white_button">
        <item name="colorButtonNormal">@android:color/white</item>
    </style>

    <style name="transparent_button">
        <item name="colorButtonNormal">@android:color/transparent</item>
    </style>

    <style name="hint_text" parent="TextAppearance.Design.Hint">
        <item name="android:textColor">@color/colorPrimary</item>
    </style>


<!--    <style name="MaterialToolbar.Base" parent="">-->
<!--        <item name="popupTheme">@style/AppTheme.PopupOverlay</item>-->
<!--        <item name="theme">@style/Theme.Material3.Light</item>-->
<!--    </style>-->

<!--    <style name="MaterialToolbar" parent="MaterialToolbar.Base"/>-->

<!--    <style name="MaterialToolbar.Event" parent="MaterialToolbar">-->
<!--        <item name="titleTextAppearance">@style/AppTheme.NewMaterial.Text.ToolbarTitle</item>-->
<!--    </style>-->

    <style name="CustomBottomSheetDialog" parent="@style/ThemeOverlay.Material3.BottomSheetDialog">
        <item name="bottomSheetStyle">@style/Widget.Material3.BottomSheet</item>
    </style>

<!--    <style name="CustomBottomSheet" parent="Widget.Material3.BottomSheet">-->
<!--        <item name="shapeAppearanceOverlay">@style/CustomShapeAppearanceBottomSheetDialog</item>-->
<!--    </style>-->

<!--    <style name="CustomShapeAppearanceBottomSheetDialog" parent="">-->
<!--        <item name="cornerFamily">rounded</item>-->
<!--        <item name="cornerSizeTopRight">16dp</item>-->
<!--        <item name="cornerSizeTopLeft">16dp</item>-->
<!--        <item name="cornerSizeBottomRight">0dp</item>-->
<!--        <item name="cornerSizeBottomLeft">0dp</item>-->
<!--    </style>-->


</resources>
